Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
smartlock::DoorAccessControl::DoorAccessRuleAddedEvent Struct Reference

Event: Door access rule added. More...

`import <DoorAccessControl.idl;`

Inheritance diagram for smartlock::DoorAccessControl::DoorAccessRuleAddedEvent:

## Public Attributes
int | ruleId
| New rule id.
DoorAccessRule | rule
| Rule that was added, cardUid and pin will be filtered.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Door access rule added.

Definition at line 152 of file DoorAccessControl.idl.

## Member Data Documentation

## ◆ rule

DoorAccessRule smartlock::DoorAccessControl::DoorAccessRuleAddedEvent::rule

Rule that was added, cardUid and pin will be filtered.

Definition at line 154 of file DoorAccessControl.idl.

## ◆ ruleId

int smartlock::DoorAccessControl::DoorAccessRuleAddedEvent::ruleId

New rule id.

Definition at line 153 of file DoorAccessControl.idl.

The documentation for this struct was generated from the following file:

- DoorAccessControl.idl